Subject: Re: Compiling newlib/libc/stdlib
From: [email-masked] (Mumit Khan)

13 Oct 1998 03:37:08 -0700
Message-ID: <[email-masked]>
References: <AC4D3D80B239D211BC140000F879A2BA0AE49C@NTMAIL>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Ian Collins <[email-masked]>
Cc: "Gnu-Win32 (E-mail)" <[email-masked]>

On Mon, 12 Oct 1998, Ian Collins wrote:

> 
> I downloaded newlib-980824.tar.bz2 and winsup-980929.tar.bz2 from 
> 
> ftp.cygnus.com/pub/noer/winsup-snapshot  
> 
> I get the following errors when making these,
> 
> When compiling /usr/src/newlib/libc/stdlib/mlock.c, I get an error from
> line 4 of malloc.h (located in /usr/src/newlib/libc/stdlib/malloc.h)
> which says,
> 
> #define _PTR mptr

Are you sure you're looking at newlib-980824? That's the version I use,
and there is no such line in malloc.h. _PTR is defined in _ansi.h,
included from malloc.h, as either void* or char* depending on STDC or 
not.

Regards,
Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".